aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-29 15:37:35 +0200
committerohfp <1813007-ohfp@users.noreply.gitlab.com>2020-03-29 15:37:35 +0200
commit50e1776af109f87232351e9d76be25fa3d613c53 (patch)
tree79c6855f4277dce6543165a45208dc3aefb6ae5e
parenttry profiling without =cross (diff)
downloadlibrewolf-linux-50e1776af109f87232351e9d76be25fa3d613c53.tar.gz
librewolf-linux-50e1776af109f87232351e9d76be25fa3d613c53.tar.bz2
librewolf-linux-50e1776af109f87232351e9d76be25fa3d613c53.zip
try it without profiling
-rwxr-xr-xbinary_tarball/scripts/4_Build_Binary_Tarball.sh86
1 files changed, 43 insertions, 43 deletions
diff --git a/binary_tarball/scripts/4_Build_Binary_Tarball.sh b/binary_tarball/scripts/4_Build_Binary_Tarball.sh
index 4c08380..4f25f22 100755
--- a/binary_tarball/scripts/4_Build_Binary_Tarball.sh
+++ b/binary_tarball/scripts/4_Build_Binary_Tarball.sh
@@ -55,50 +55,50 @@ rm -f mozconfig
# Do 3-tier PGO
echo "Building instrumented browser..."
-if [[ $CARCH == 'aarch64' ]]; then
-
-cat >.mozconfig ${CI_PROJECT_DIR}/mozconfig - <<END
-ac_add_options --enable-profile-generate
-END
-
-else
-
-cat >.mozconfig ${CI_PROJECT_DIR}/mozconfig - <<END
-# -fno-plt with cross-LTO causes obscure LLVM errors
-# LLVM ERROR: Function Import: link error
-# CFLAGS="${CFLAGS/-fno-plt/}"
-# CXXFLAGS="${CXXFLAGS/-fno-plt/}"
-
-ac_add_options --enable-profile-generate
-END
-
-fi
+# if [[ $CARCH == 'aarch64' ]]; then
+#
+# cat >.mozconfig ${CI_PROJECT_DIR}/mozconfig - <<END
+# ac_add_options --enable-profile-generate
+# END
+#
+# else
+#
+# cat >.mozconfig ${CI_PROJECT_DIR}/mozconfig - <<END
+# # -fno-plt with cross-LTO causes obscure LLVM errors
+# # LLVM ERROR: Function Import: link error
+# # CFLAGS="${CFLAGS/-fno-plt/}"
+# # CXXFLAGS="${CXXFLAGS/-fno-plt/}"
+#
+# ac_add_options --enable-profile-generate
+# END
+
+# fi
# Executes the actual build
printf "\nBuilding LibreWolf\n";
./mach build;
-echo "Profiling instrumented browser..."
-./mach package
-LLVM_PROFDATA=llvm-profdata \
- JARLOG_FILE="$PWD/jarlog" \
- xvfb-run -s "-screen 0 1920x1080x24 -nolisten local" \
- ./mach python build/pgo/profileserver.py
-
-if [[ ! -s merged.profdata ]]; then
- echo "No profile data produced."
- exit 1
-fi
-
-if [[ ! -s jarlog ]]; then
- echo "No jar log produced."
- exit 1
-fi
-
-echo "Removing instrumented browser..."
-./mach clobber
-
-echo "Building optimized browser..."
+# echo "Profiling instrumented browser..."
+# ./mach package
+# LLVM_PROFDATA=llvm-profdata \
+ # JARLOG_FILE="$PWD/jarlog" \
+ # xvfb-run -s "-screen 0 1920x1080x24 -nolisten local" \
+ # ./mach python build/pgo/profileserver.py
+#
+# if [[ ! -s merged.profdata ]]; then
+ # echo "No profile data produced."
+ # exit 1
+# fi
+#
+# if [[ ! -s jarlog ]]; then
+ # echo "No jar log produced."
+ # exit 1
+# fi
+#
+# echo "Removing instrumented browser..."
+# ./mach clobber
+#
+# echo "Building optimized browser..."
if [[ $CARCH == 'aarch64' ]]; then
@@ -114,10 +114,10 @@ END
else
cat >.mozconfig ${CI_PROJECT_DIR}/mozconfig - <<END
-ac_add_options --enable-lto
-ac_add_options --enable-profile-use
-ac_add_options --with-pgo-profile-path=${PWD@Q}/merged.profdata
-ac_add_options --with-pgo-jarlog=${PWD@Q}/jarlog
+# ac_add_options --enable-lto
+# ac_add_options --enable-profile-use
+# ac_add_options --with-pgo-profile-path=${PWD@Q}/merged.profdata
+# ac_add_options --with-pgo-jarlog=${PWD@Q}/jarlog
ac_add_options --enable-linker=gold
END
bgstack15